OSSIM-PREPROC(1)

NAME
ossim-preproc - ossim-preproc

SYNOPSIS
ossim-preproc [options] <file-or-directory-to-walk>

OPTIONS

--ch or --create-histogram
    Computes full histogram alongside overview.

--chf or --create-histogram-fast
    Computes a histogram in fast mode which samples partial tiles.

--compression-quality
    Compression quality for TIFF JPEG takes values from 0 to 100, where 100 is best. For J2K plugin, numerically_lossless, visually_lossless, lossy

--compression-type
    Compression type can be: deflate, jpeg, lzw, none or packbits

--compute-min-max
    Turns on min, max scanning when reading tiles and writes a dot omd file. This option assumes the null is known.

--compute-min-max-null
    Turns on min, max, null scanning when reading tiles and write a dot omd file. This option tries to find a null value which is useful for float data.

--create-histogram-r0
    Forces create-histogram code to compute a histogram using r0 instead of the starting resolution for the overview builder. Can require a separate pass of R0 layer if the base image has built in overviews.

--disable-elev
    Will disable the elevation

--disable-notify
    Takes an argument. Arguments are ALL, WARN, NOTICE, INFO, FATAL, DEBUG. If you want multiple disables then just do multiple --disable-notify on the command line. All argument are case insensitive. Default is all are enabled.

--disable-plugin
    Will disable the plugin loader

--dump-filtered-image-list
    Outputs list of filtered images and extensions.

--list-entries
    Lists the entries within the image

--max
    Overrides max value for compute-min-max option.

--min
    Overrides min value for compute-min-max option.

--null
    <null_value> Overrides null value for compute-min-max option. e.g. -9999.0 for float data

--of or --output-files
    Output image files we can open, exluding overviews.

--options
    <options.kwl> This can be all or part of the application options. Also used for custom prep, per file and post system commands. To get a template you can turn on trace to the ossimImageUtil class by adding "-T ossimImageUtil" to your command.

--ossim-logfile
    takes a logfile as an argument. All output messages are redirected to the specified log file. By default there is no log file and all messages are enabled.

--ot
    <overview_type> Overview type. see list at bottom for valid types. (default=ossim_tiff_box)

--override-filtered-images
    Allows processing of file that is in the filtered image list.

--reader-prop
    Adds a property to send to the reader. format is name=value

--rebuild-histogram
    Rebuild histogram even if they are already present.

--threads
    <threads> The number of threads to use. (default=1) Note a default can be set in your ossim preferences file by setting the key "ossim_threads".

--tile-size
    <size> Defines the tile size for overview builder. Tiff option only. Must be a multiple of 16. Size will be used in both x and y directions. Note a default can be set in your ossim preferences file by setting the key "tile_size".

--writer-prop
    Adds a property to send to the writer. format is name=value

-K  specify individual keywords to add to the preferences keyword list: name=value

-P  specify a preference file to load

-T  specify the classes to trace, ex: ossimInit|ossimImage.* will trace ossimInit and all ossimImage classes

-a or --include-fullres
    Copy full res dataset to overview file as well as building reduced res sets. Option only valid with tiff overview builder. Requires -o option.

-d  <output_directory> Write overview to output directory specified.

-h  Display this information

-i or --internal-overviews
    Builds internal overviews. Requires -o option. Option only valid with tiff input image and tiff overview builder. WARNING: Modifies source image and cannot be undone!

-o  Creates overviews. (default=ossim_tiff_box)

-r or --rebuild-overviews
    Rebuild overviews even if they are already present.

-s  Stop dimension for overviews. This controls how many layers will be built. If set to 64 then the builder will stop when height and width for current level are less than or equal to 64. Note a default can be set in the ossim preferences file by setting the keyword "overview_stop_dimension".

Valid overview types: ossim_tiff_box ossim_tiff_nearest

Example commands:

// A single image standard tiff overviews, histogram: ossim-preproc -o --ch <file>

// A single image with j2k overviews(requires kakadu plugin), histogram: ossim-preproc --ot ossim_kakadu_nitf_j2k --ch <file>

// j2k, histogram, 4 threads

// standard tiff overviews, full histogram, 4 threads: ossim-preproc -r -o --ch --threads 4 <directory_to_walk>

// j2k, histogram (fast mode), 4 threads ossim-preproc -r --ot ossim_kakadu_nitf_j2k --chf --threads 4 <directory_to_walk>

// tiff, jpeg compression, histogram, 4 threads ossim-preproc -r --ch --compression-quality 75 --compression-type jpeg --threads 4 <directory_to_walk> ossim-preproc -r --ch --compression-quality 75 --compression-type jpeg --threads 4 <directory_to_walk>

// Process all the tiffs in a directory feeding "prep", "file", "post" system commands via the --options option which includes indexing file into the omar database via omar-data-mgr app: ossim-preproc --options preproc-options.kwl -r -o --ch *.tif

// Contents of preproc-options.kwl used in above command: prep.command0: echo start_time: %{date} prep.command0.strf_time_format: %Y%m%d%H%M%S prep.command1: mkdir -p %{date} file.command0: mv %{file_no_ext}.* %{date}/. file.command1: omar-data-mgr -u http://localhost:8080/omar add %{date}/%{basename} post.command0: echo end_time: %{date} post.command0.strf_time_format: %Y%m%d%H%M%S

NOTES:

--ch
    equals --create-histogram

--chf equals --create-histogram-fast

Expanded command option variables:

%{basename} = filename without path %{basename_no_ext} = filename without path and without extension %{date} = Expanded to current zulu time. Default format=yyyymmdd

    output format controlled by command0.strf_time_format key.

%{dirname} = path of filename %{file} = filename being processed %{file_no_ext} = filename with no extension

SEE ALSO
The full documentation for ossim-preproc is maintained as a Texinfo manual. If the info and ossim-preproc programs are properly installed at your site, the command

    info ossim-preproc

should give you access to the complete manual.